commit:     12ed6f3bc7710b4cc6ff625b43e03ea575573218
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 23 07:39:12 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Fri Oct 23 07:39:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12ed6f3b

app-shells/tcsh-6.22.02: version bump, enabling sysmalloc for everyone

Bug: https://bugs.gentoo.org/750563
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 app-shells/tcsh/Manifest            |   1 +
 app-shells/tcsh/tcsh-6.22.02.ebuild | 105 ++++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/app-shells/tcsh/Manifest b/app-shells/tcsh/Manifest
index 4862d06720e..be2bb6c3223 100644
--- a/app-shells/tcsh/Manifest
+++ b/app-shells/tcsh/Manifest
@@ -1,3 +1,4 @@
 DIST tcsh-6.20.00.tar.gz 1001696 BLAKE2B 
dfebde21c70f236e1070a93621a331ce1a53efab4496c44f25b51e98e843a8d0e3ca503da46a4fc0177b57b682e3ecc07f8120cde25ecf466c8ff094df5f9463
 SHA512 
c5635393c22341e62fb9a0b953ddf8871a876ab09deb08c98237f93afa9257b4a3381d1db65eefe769e22ef845db29ab7bc78773f1f609d73c8205689a6683e9
 DIST tcsh-6.21.00.tar.gz 1001909 BLAKE2B 
7f2be382a3a344d55e0785eace79377e20dd2cd2eb9e9533168fbb6286631cdcd35bdc06cd42d9439a29a7cd1a911416bfe6b0245065535aebdf5adb58d2c301
 SHA512 
d7f46588a35b9cd01cfa33d0f9bbae09e9692605b5c045c2b58e66dba958ab904ddfe45aa7361767034e6cc03a34ad9ba4d14fa836df723bade29f3f6a18a46c
+DIST tcsh-6.22.02.tar.gz 1006405 BLAKE2B 
f18b2c48958b4d38a0f55b0df8563564b2a3b34becf02eda8802d7f5e2194082bf96c46323d606c2e6bd2a26aaed303bae3132d03515274407c63b713583dde7
 SHA512 
32d271b568c63265ea4c98494f5e60b37c3a3fc2594e8763b8f6f0b09018ab9db7ef6f951120b37f7880ccf04ba3a2559e30dc08d24f4ba9dc36853238d55980
 DIST tcsh-gentoo-patches-r1.9.tar.bz2 2488 BLAKE2B 
58924e623c75068cdc686be61755bdbcf8d0949a2141ac532ac089f80ff083b2c9f6767038b9fc52171a00ed82c558b83216327c87b41f51c3648343869cd5b6
 SHA512 
9903e9c3e2279abcac09a3235f3c5db9f42156c18137eb651ede195ca2b069f0b5bc6105fed33666b69796c4ebf03e4efe63cd9beba1898bac7297a2f74bfd3d

diff --git a/app-shells/tcsh/tcsh-6.22.02.ebuild 
b/app-shells/tcsh/tcsh-6.22.02.ebuild
new file mode 100644
index 00000000000..53cc7bcc96e
--- /dev/null
+++ b/app-shells/tcsh/tcsh-6.22.02.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils flag-o-matic autotools prefix
+
+CONFVER="1.9"
+
+DESCRIPTION="Enhanced version of the Berkeley C shell (csh)"
+HOMEPAGE="https://www.tcsh.org/";
+SRC_URI="
+       ftp://ftp.astron.com/pub/tcsh/${P}.tar.gz
+       
https://dev.gentoo.org/~grobian/distfiles/tcsh-gentoo-patches-r${CONFVER}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls doc"
+RESTRICT="test"
+
+# we need gettext because we run autoconf (AM_ICONV)
+RDEPEND="
+       >=sys-libs/ncurses-5.1:0=
+       virtual/libiconv"
+DEPEND="${RDEPEND}
+       sys-devel/gettext
+       doc? ( dev-lang/perl )"
+
+CONFDIR=${WORKDIR}/tcsh-gentoo-patches-r${CONFVER}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-6.20.00-debian-dircolors.patch # bug #120792
+       "${FILESDIR}"/${PN}-6.18.01-aix.patch
+       "${FILESDIR}"/${PN}-6.21.00-no-nls.patch
+       "${FILESDIR}"/${PN}-6.21.00-use-ncurses.patch
+       "${FILESDIR}"/${PN}-6.21.00-fno-common.patch # upstream
+)
+
+src_prepare() {
+       epatch "${PATCHES[@]}"
+
+       eautoreconf
+
+       # fix gencat usage
+       sed \
+               -e 's/cat \$\^ \$> | \$(GENCAT) \$@/rm -f $@; $(GENCAT) $@ $> 
$^/' \
+               -i nls/Makefile.in || die
+
+       # always use sysmalloc, the builtin malloc fails on Darwin, musl,
+       # etc. it's already used for glibc-linux, so this doesn't change
+       # anything for the majority of users
+       sed -i -e 's/undef SYSMALLOC/define SYSMALLOC/' config_f.h || die
+
+       # unify ECHO behaviour
+       echo "#undef ECHO_STYLE" >> config_f.h
+       echo "#define ECHO_STYLE      BOTH_ECHO" >> config_f.h
+
+       eprefixify "${CONFDIR}"/*
+       # activate the right default PATH
+       if [[ -z ${EPREFIX} ]] ; then
+               sed -i \
+                       -e 's/^#MAIN//' -e '/^#PREFIX/d' \
+                       "${CONFDIR}"/csh.login || die
+       else
+               sed -i \
+                       -e 's/^#PREFIX//' -e '/^#MAIN/d' \
+                       "${CONFDIR}"/csh.login || die
+       fi
+
+       eapply_user
+}
+
+src_configure() {
+       # make tcsh look and live along the lines of the prefix
+       append-cppflags -D_PATH_DOTCSHRC="'"'"${EPREFIX}/etc/csh.cshrc"'"'"
+       append-cppflags -D_PATH_DOTLOGIN="'"'"${EPREFIX}/etc/csh.login"'"'"
+       append-cppflags -D_PATH_DOTLOGOUT="'"'"${EPREFIX}/etc/csh.logout"'"'"
+       append-cppflags -D_PATH_USRBIN="'"'"${EPREFIX}/usr/bin"'"'"
+       append-cppflags -D_PATH_BIN="'"'"${EPREFIX}/bin"'"'"
+
+       econf \
+               --prefix="${EPREFIX:-}" \
+               --datarootdir='${prefix}/usr/share' \
+               $(use_enable nls)
+}
+
+src_install() {
+       emake DESTDIR="${D}" install install.man
+
+       DOCS=( FAQ Fixes NewThings Ported README.md WishList Y2K )
+       if use doc ; then
+               perl tcsh.man2html tcsh.man || die
+               HTML_DOCS=( tcsh.html/*.html )
+       fi
+       einstalldocs
+
+       insinto /etc
+       doins \
+               "${CONFDIR}"/csh.cshrc \
+               "${CONFDIR}"/csh.login
+
+       # bug #119703: add csh -> tcsh symlink
+       dosym tcsh /bin/csh
+}

Reply via email to